!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!! Bi-Linear Interpolation Test Main Program                        !!!
!!! Last Updated: December 01, 2019 (DBS)                            !!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

	Real, Dimension(4,4)	:: a1, b1, c1
	Real, Dimension(16,16)	:: a2, b2, c2

	Open (1, file = 'Coarse-2D.dat', form='formatted')
	Open (2, file = 'Finest-2D.dat', form='formatted')

	Write (2, 5) 'A', 'B', 'C'
 5	Format (3(1x, a10))

	Read (1, *, end=100)

	Do i = 1, 4
	Do j = 1, 4
 101	Continue
	Read (1, *, err=101, end=100) a1(i,j), b1(i,j), c1(i,j)
	Enddo
	Read (1, *, end=100)
	Enddo

 100	Continue

	Call Bilinear_Ipolation (a1,b1,c1,4,4,a2,b2,c2,16,16)

	Do i = 1, 16
	Do j = 1, 16

	Write (2, 10) a2(i,j), b2(i,j), c2(i,j)
 10	Format (3(1x, f10.2))
	Enddo
	Write (2, *)
	Enddo

	Stop
	End

	INCLUDE 'Bilinear-Interpolation.f90'
